%define module_name Perl-Critic-Git
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(Git/Repository.pm) perl(Git/Repository/Plugin/Blame.pm) perl(Module/Build.pm) perl(Perl/Critic.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/Git.pm) perl(Test/More.pm) perl(Test/Requires/Git.pm) perl(Git/Repository/Plugin/Log.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.1
Release: alt1
Summary: Bond git and Perl::Critic to blame the right people for violations.
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perl-Critic-Git

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AU/AUBERTG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
use Perl::Critic::Git;
_my $git_critic = Perl::Critic::Git->new(
__file   => $file,
__level  => $critique_level,         # or undef to use default profile
_);

_my $violations = $git_critic->report_violations(
__author => $author,                 # or undef for all
__since  => $date,                   # to critique only recent changes
_);



%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE ignore.txt README.md examples
%perl_vendor_privlib/P*

%changelog
* Mon Apr 09 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1
- regenerated from template by package builder

* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1
- initial import by package builder

